All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH nft] tests: shell: Modify ipv6_maps_ipv4_0 file permission.
@ 2018-01-13 21:21 Varsha Rao
  2018-01-13 21:21 ` [PATCH nft] tests: Add test for compile options Varsha Rao
  0 siblings, 1 reply; 3+ messages in thread
From: Varsha Rao @ 2018-01-13 21:21 UTC (permalink / raw)
  To: Pablo Neira Ayuso, netfilter-devel; +Cc: Varsha Rao

This patch changes the file permission of 0027ipv6_maps_ipv4_0
from 100644 to 100755.

Signed-off-by: Varsha Rao <rvarsha016@gmail.com>
---
 tests/shell/testcases/sets/0027ipv6_maps_ipv4_0 | 0
 1 file changed, 0 insertions(+), 0 deletions(-)
 mode change 100644 => 100755 tests/shell/testcases/sets/0027ipv6_maps_ipv4_0

diff --git a/tests/shell/testcases/sets/0027ipv6_maps_ipv4_0 b/tests/shell/testcases/sets/0027ipv6_maps_ipv4_0
old mode 100644
new mode 100755
-- 
2.14.3


^ permalink raw reply	[flat|nested] 3+ messages in thread

* [PATCH nft] tests: Add test for compile options.
  2018-01-13 21:21 [PATCH nft] tests: shell: Modify ipv6_maps_ipv4_0 file permission Varsha Rao
@ 2018-01-13 21:21 ` Varsha Rao
  0 siblings, 0 replies; 3+ messages in thread
From: Varsha Rao @ 2018-01-13 21:21 UTC (permalink / raw)
  To: Pablo Neira Ayuso, netfilter-devel; +Cc: Varsha Rao

This patch adds a script to test available compile options.

Signed-off-by: Varsha Rao <rvarsha016@gmail.com>
---
 tests/build/run-tests.sh | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100755 tests/build/run-tests.sh

diff --git a/tests/build/run-tests.sh b/tests/build/run-tests.sh
new file mode 100755
index 0000000..298acca
--- /dev/null
+++ b/tests/build/run-tests.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+if [ "$(id -u)" !=  "0" ]  ; then
+        echo "Run as root user"
+        exit 1
+fi
+
+LOG_FILE="`pwd`/tests.log"
+dir=../..
+cmd=./configure
+argument=( --without-cli --enable-debug --with-mini-gmp --enable-pdf-doc --with-xtables )
+ok=0
+failed=0
+
+[ -f $LOG_FILE ] && rm -rf $LOG_FILE
+cd $dir
+
+for var in "${argument[@]}" ; do
+	echo "[EXECUTING] Testing compile option $var"
+	$cmd $var >/dev/null 2>>$LOG_FILE
+	rt=$?
+	echo -en "\033[1A\033[K" # clean the [EXECUTING] foobar line
+
+	if [ $rt -eq 0 ] ; then
+		echo "[OK] Compile option $var works."
+		((ok++))
+	else
+		echo "[FAILED] Compile option $var does not work. Check log for details."
+		((failed++))
+	fi
+done
+
+echo "results: [OK] $ok [FAILED] $failed [TOTAL] $((ok+failed))"
+exit 0
-- 
2.14.3


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [PATCH nft] tests: shell: Modify ipv6_maps_ipv4_0 file permission.
@ 2017-11-30 13:36 Varsha Rao
  0 siblings, 0 replies; 3+ messages in thread
From: Varsha Rao @ 2017-11-30 13:36 UTC (permalink / raw)
  To: Pablo Neira Ayuso, netfilter-devel; +Cc: Varsha Rao

This patch changes the file permission of 0027ipv6_maps_ipv4_0 from
100644 to 100755.

Signed-off-by: Varsha Rao <rvarsha016@gmail.com>
---
 tests/shell/testcases/sets/0027ipv6_maps_ipv4_0 | 0
 1 file changed, 0 insertions(+), 0 deletions(-)
 mode change 100644 => 100755 tests/shell/testcases/sets/0027ipv6_maps_ipv4_0

diff --git a/tests/shell/testcases/sets/0027ipv6_maps_ipv4_0 b/tests/shell/testcases/sets/0027ipv6_maps_ipv4_0
old mode 100644
new mode 100755
-- 
2.14.3


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2018-01-13 21:21 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-01-13 21:21 [PATCH nft] tests: shell: Modify ipv6_maps_ipv4_0 file permission Varsha Rao
2018-01-13 21:21 ` [PATCH nft] tests: Add test for compile options Varsha Rao
  -- strict thread matches above, loose matches on Subject: below --
2017-11-30 13:36 [PATCH nft] tests: shell: Modify ipv6_maps_ipv4_0 file permission Varsha Rao

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.